From: Robin Gustafsson <robin@rgson.se>
Date: Sun, 1 Nov 2020 13:39:09 +0100
Subject: Use local mime-db instead of downloading one

Downloading files at build time is disallowed.

Forwarded: not-needed
---
 src/Generation/JsHttpMimeDBMimeTypeProvider.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/Generation/JsHttpMimeDBMimeTypeProvider.php b/src/Generation/JsHttpMimeDBMimeTypeProvider.php
index 0a10fa1..0eec89f 100644
--- a/src/Generation/JsHttpMimeDBMimeTypeProvider.php
+++ b/src/Generation/JsHttpMimeDBMimeTypeProvider.php
@@ -9,7 +9,7 @@ class JsHttpMimeDBMimeTypeProvider implements MimeTypeProvider
     public function provideMimeTypes(): array
     {
         $result = [];
-        $aggregated = (string) @file_get_contents('https://raw.githubusercontent.com/jshttp/mime-db/master/db.json');
+        $aggregated = (string) @file_get_contents('/usr/share/nodejs/mime-db/db.json');
 
         foreach (json_decode($aggregated, true) as $mimeType => $information) {
             /** @var string[] $extensions */
